package com.cirle.scientific.service;

import com.alibaba.fastjson.JSONObject;
import com.cirle.scientific.po.QkjPurchasedRecords;
import com.cirle.scientific.po.SalesOrdersMain;
import com.cirle.scientific.pojo.Result;

public interface OrderService {

	QkjPurchasedRecords findPurchasedRecords(String memCard, Integer objType, Integer objId, Integer ispackage);
	
	QkjPurchasedRecords savePurchasedRecords(QkjPurchasedRecords record);
	
	QkjPurchasedRecords savePurchased(SalesOrdersMain ordersMain, Integer endDay);

	JSONObject inviteRank(String memCard, Integer objType, Integer objId);

	Result addFreeBuyApi(String memCard, Integer orderType, Integer objId, Integer paySource, String fromMemCard, String ip, Integer objCount, String orderId);

    Result getObjInfo(String memCard, Integer objType, Long objId, Integer objCount);

    Result pointPay(String memCard, Integer objType, Integer objId, Integer paySource, String fromMemCard, String ip, Integer objCount, String orderId);

	Result createOrder(String memCard, Integer objType, Integer objId, Integer paySource, String fromMemCard, String ip, Integer objCount, String orderId);

	Result addTask(String memCard, Integer orderType, Integer objId);
}
